Get Project Date Details
curl --request GET \
--url https://api.vomo.org/v1/projects/date/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/projects/date/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/projects/date/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/projects/date/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/projects/date/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/projects/date/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/projects/date/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/projects/date/{id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": {
"type": "project_date",
"id": "40001",
"project_name": "Saturday Pantry Pack",
"starts_at": "2025-11-15T09:00:00+00:00",
"ends_at": "2025-11-15T12:00:00+00:00",
"participant_count": 2,
"participants": [
{
"type": "user",
"id": 7903,
"email": "priya.sharma@example.org",
"guests": 1,
"checked_in_at": "2025-11-15T09:04:00+00:00",
"checked_out_at": "2025-11-15T12:01:00+00:00",
"signed_up_at": "2025-11-10T14:00:00+00:00",
"hours": "3.00",
"verified": 1,
"role": "Packer",
"project_id": 4001,
"project_date_id": 40001,
"form_completions": []
},
{
"type": "user",
"id": 8104,
"email": "aisha.mohamed@example.org",
"guests": 0,
"checked_in_at": null,
"checked_out_at": null,
"signed_up_at": "2025-11-11T09:30:00+00:00",
"hours": "3.00",
"verified": 0,
"role": "Volunteer",
"project_id": 4001,
"project_date_id": 40001,
"form_completions": []
}
]
}
}{
"error": {
"code": 400,
"message": "No query results"
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "No query results for model [App\\\\Models\\\\Happening]."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Projects
Get Project Date Details
Returns the detail record for a single project serving date (also called a ‘happening’), including the list of participants who signed up. The serving date must belong to a project in your organization; requests for dates outside your organization return a 400 error.
GET
https://api.vomo.org/v1
/
projects
/
date
/
{id}
Get Project Date Details
curl --request GET \
--url https://api.vomo.org/v1/projects/date/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/projects/date/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/projects/date/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/projects/date/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/projects/date/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/projects/date/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/projects/date/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/projects/date/{id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": {
"type": "project_date",
"id": "40001",
"project_name": "Saturday Pantry Pack",
"starts_at": "2025-11-15T09:00:00+00:00",
"ends_at": "2025-11-15T12:00:00+00:00",
"participant_count": 2,
"participants": [
{
"type": "user",
"id": 7903,
"email": "priya.sharma@example.org",
"guests": 1,
"checked_in_at": "2025-11-15T09:04:00+00:00",
"checked_out_at": "2025-11-15T12:01:00+00:00",
"signed_up_at": "2025-11-10T14:00:00+00:00",
"hours": "3.00",
"verified": 1,
"role": "Packer",
"project_id": 4001,
"project_date_id": 40001,
"form_completions": []
},
{
"type": "user",
"id": 8104,
"email": "aisha.mohamed@example.org",
"guests": 0,
"checked_in_at": null,
"checked_out_at": null,
"signed_up_at": "2025-11-11T09:30:00+00:00",
"hours": "3.00",
"verified": 0,
"role": "Volunteer",
"project_id": 4001,
"project_date_id": 40001,
"form_completions": []
}
]
}
}{
"error": {
"code": 400,
"message": "No query results"
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "No query results for model [App\\\\Models\\\\Happening]."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Authorizations
Path Parameters
Was this page helpful?